Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.fr
Class FrenchStemFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.fr.FrenchStemFilter

    public final class FrenchStemFilter

extends TokenFilter

A filter that stemms french words. It supports a table of words that should not be stemmed at all. The used stemmer can be changed at runtime after the filter object is created (as long as it is a FrenchStemmer).

Author:
  Patrick Talbot (based on Gerhard Schwarz work for German)

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`FrenchStemFilter(TokenStream in)`
`FrenchStemFilter(TokenStream in, Set exclusiontable)`

Method Summary
`Token` | `next()` Returns the next token in the stream, or null at EOS.
`void` | `setExclusionTable(Hashtable exclusiontable)` Set an alternative exclusion list for this filter.
`void` | `setStemmer(FrenchStemmer stemmer)` Set a alternative/custom FrenchStemmer for this filter.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrenchStemFilter

    public FrenchStemFilter(TokenStream in)

### FrenchStemFilter

    public FrenchStemFilter(TokenStream in,
                            Set exclusiontable)

Method Detail

### next

    public final Token next()
                     throws IOException

  Description copied from class: `TokenStream`
  Returns the next token in the stream, or null at EOS. The returned Token is a "full private copy" (not re-used across calls to next()) but will be slower than calling `TokenStream.next(Token)` instead..

  Overrides:
    `next` in class `TokenStream`
  Returns:
    Returns the next token in the stream, or null at EOS
  Throws:
    `IOException`

### setStemmer

    public void setStemmer(FrenchStemmer stemmer)

  Set a alternative/custom FrenchStemmer for this filter.

### setExclusionTable

    public void setExclusionTable(Hashtable exclusiontable)

  Set an alternative exclusion list for this filter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.